org.apache.poi.hwmf.record

## Class HwmfPalette.WmfAnimatePalette

- java.lang.Object
- - org.apache.poi.hwmf.record.HwmfPalette.WmfPaletteParent
  - - org.apache.poi.hwmf.record.HwmfPalette.WmfAnimatePalette

- All Implemented Interfaces:
    GenericRecord, HwmfObjectTableEntry, HwmfRecord
  Enclosing class:
    HwmfPalette

      public static class HwmfPalette.WmfAnimatePalette
      extends HwmfPalette.WmfPaletteParent

  The META_ANIMATEPALETTE record redefines entries in the logical palette that is defined in the playback device context with the specified Palette object The logical palette that is specified by the Palette object in this record is the source of the palette changes, and the logical palette that is currently selected into the playback device context is the destination. Entries in the destination palette with the PC_RESERVED PaletteEntryFlag set SHOULD be modified by this record, and entries with that flag clear SHOULD NOT be modified. If none of the entries in the destination palette have the PC_RESERVED flag set, then this record SHOULD have no effect.

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwmf.record.HwmfPalette.WmfPaletteParent

      `palette, start`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WmfAnimatePalette()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyObject(HwmfGraphics ctx)`
    `HwmfRecordType` | `getWmfRecordType()`

    - ### Methods inherited from class org.apache.poi.hwmf.record.HwmfPalette.WmfPaletteParent

      `draw, getGenericProperties, init, readPaletteEntries`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hwmf.record.HwmfRecord

      `getGenericRecordType`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren`

- - ### Constructor Detail

    - #### WmfAnimatePalette

          public WmfAnimatePalette()

  - ### Method Detail

    - #### getWmfRecordType

          public HwmfRecordType getWmfRecordType()

    - #### applyObject

          public void applyObject(HwmfGraphics ctx)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.